# Created by pyp2rpm-3.3.2
%global pypi_name check-manifest

%bcond_with check

Name:           python-%{pypi_name}
Version:        0.45
Release:        %mkrel 1
Summary:        Check MANIFEST.in in a Python source package for completeness
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/check-manifest/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm-git-archive)

%description
Are you a Python developer? Have you uploaded packages to the Python Package
Index? Have you accidentally uploaded broken packages with some files
missing? If so, check-manifest is for you.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(mock)
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
Are you a Python developer? Have you uploaded packages to the Python Package
Index? Have you accidentally uploaded broken packages with some files
missing? If so, check-manifest is for you.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%if %{with check}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%license LICENSE.rst
%doc README.rst
%{_bindir}/check-manifest
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/check_manifest.py
%{python3_sitelib}/check_manifest-%{version}-py?.?.egg-info


%changelog
* Sun Nov 22 2020 guillomovitch <guillomovitch> 0.45-1.mga8
+ Revision: 1648486
- new version 0.45

* Tue May 19 2020 wally <wally> 0.42-1.mga8
+ Revision: 1586200
- new version 0.42

* Sat Feb 29 2020 wally <wally> 0.41-1.mga8
+ Revision: 1552134
- new version 0.41

* Sun Feb 16 2020 umeabot <umeabot> 0.37-5.mga8
+ Revision: 1531498
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 0.37-4.mga8
+ Revision: 1440383
- really rebuild for python-3.8

* Wed Sep 11 2019 tv <tv> 0.37-3.mga8
+ Revision: 1439644
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 shlomif <shlomif> 0.37-2.mga7
+ Revision: 1351022
- Rebuild for python3 3.7

* Sun Oct 07 2018 wally <wally> 0.37-1.mga7
+ Revision: 1318497
- imported package python-check-manifest

